Hoppa till huvudinnehåll

Den här webbläsaren stöds inte längre.

Uppgradera till Microsoft Edge och dra nytta av de senaste funktionerna och säkerhetsuppdateringarna, samt teknisk support.

Ladda ned Microsoft Edge Mer information om Internet Explorer och Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Skills

Create a new version of a skill Create a skill version from uploaded files

POST /skills/{name}/versions

Creates a new version of a skill. If the skill does not exist, it will be created. Creates a new version of a skill from uploaded files via multipart form data.

Sökvägsparametrar

name string krävs

The name of the skill. If the skill does not exist, it will be created.

Rubrikparametrar

Foundry-Features enum krävs

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Skills=V1Preview

Frågeparametrar

api-version string krävs

The API version to use for this operation.

Begärandetext

The multipart request content.

Content-Type: application/json
inline_content SkillInlineContent

Inline content for defining a simple skill without uploading files. Follows the agentskills.io SKILL.md specification.

description string krävs

A human-readable description of what the skill does and when to use it.

instructions string krävs

The skill instructions in markdown format. This is the body content of the SKILL.md file.

license string

License name or reference to a bundled license file.

compatibility string

Environment requirements or compatibility notes for the skill.

metadata object

Arbitrary key-value metadata for additional properties.

[key: string] string
allowed_tools string[]

List of pre-approved tools the skill may use. Experimental.

default boolean

Whether to set this version as the default.

Content-Type: multipart/form-data
files any[] krävs

Skill files to upload. Upload a single zip file or multiple individual files with relative paths.

default boolean

Whether to set this version as the default. Defaults to false.

Svar

The request has succeeded.

Brödtext

Content-Type: application/json
id string krävs

The unique identifier of the skill version.

skill_id string krävs

The identifier of the parent skill.

name string krävs

A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.

version string krävs

The version identifier. Skill versions are immutable.

description string krävs

A human-readable description of the skill version.

created_at integer krävs

Client error

Brödtext

Content-Type: application/json
error OpenAI.Error krävs
code string | null krävs
message string krävs
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Något av följande:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string krävs

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Brödtext

Content-Type: application/json
error OpenAI.Error krävs
code string | null krävs
message string krävs
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Något av följande:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string krävs

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Förfrågan

POST /skills/{name}/versions HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
sv-se
Dina sekretessalternativ
  • Ansvarsfriskrivning för AI
  • Tidigare versioner
  • Blogg
  • Bidra
  • Sekretess
  • Konsumenthälsans integritet
  • Användningsvillkor
  • Varumärken
  • © Microsoft 2026